aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/install-redhat.sh
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2017-02-09 23:13:19 +0100
committerGerd Hoffmann <kraxel@redhat.com>2017-02-09 23:13:19 +0100
commit255e006686c56eff5269c9cf6fde769b155c781f (patch)
treef275a2e49bea759a06d384663ac5c6024e3e2bd1 /scripts/install-redhat.sh
parentfebb08348305ae8dd4f57ffdbe585a92ad520e71 (diff)
downloadimagefish-255e006686c56eff5269c9cf6fde769b155c781f.tar.gz
verbose switch
Diffstat (limited to 'scripts/install-redhat.sh')
-rwxr-xr-xscripts/install-redhat.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/install-redhat.sh b/scripts/install-redhat.sh
index c268801..49a43ba 100755
--- a/scripts/install-redhat.sh
+++ b/scripts/install-redhat.sh
@@ -10,6 +10,7 @@ grps="core"
rpms=""
krnl="kernel"
conf=""
+quiet="--quiet"
######################################################################
# create work dir
@@ -91,6 +92,10 @@ while test "$1" != ""; do
allow_override="yes"
shift
;;
+ --verbose)
+ quiet=""
+ shift
+ ;;
-h | --help)
print_help
exit 1
@@ -161,7 +166,7 @@ for item in $rpms; do inst="${inst} ${item}"; done
msg "dnf install packages to $dest ..."
#sudo mount --bind /dev $dest/dev
#sudo mount -o remount,bind,ro $dest/dev
-(set -x; sudo $tool --quiet install $inst) || exit 1
+(set -x; sudo $tool $quiet install $inst) || exit 1
if test "$krnl" != ""; then
msg "dnf install $krnl to $dest ..."
(set -x; sudo $tool install $krnl) || exit 1